Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		vdpau-video
#Epoch:		0
Version:	0.7.3
Release:	1
License:	GNU/GPLv2
URL:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/
Group:		System/Libraries
Summary:	A VDPAU-based backend for VA API
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.pre2.tar.gz

# Patches:
# fix compilation against newer glx (7.9?)
Patch0:		vdpau-video-glx.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libva-devel
BuildRequires: libvdpau-devel
BuildRequires: libX11-devel
BuildRequires: mesa-libGL-devel

%description
A VDPAU-based backend for VA API


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}.pre2
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--enable-glx=yes 

make %{?_smp_mflags}
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/dri/nvidia_drv_video.so
%{_libdir}/dri/s3g_drv_video.so
%{_libdir}/dri/vdpau_drv_video.la
%{_libdir}/dri/vdpau_drv_video.so

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.3-1
- version update, pre2
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.9-1
- version update
* Sun Mar 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-1
- version update
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.5-2
- enabled GL support
* Sun Mar 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.5-1
- initial CCux package release
